post
https://api.lucid.co/transferUserContent
Transfers ownership of Lucid documents and objects from one user to another.
- Note that both the
fromUserandtoUsermust be on the same account as the admin authorizing the transfer. - This endpoint transfers the following to the
toUser:- Documents and folders owned by the
fromUser. ThetoUserwill also be given edit and share permissions to any team folder thefromUserhas edit and share permissions for. - Custom shape libraries
- Lucidscale objects (3rd party credentials, AWS accounts, Google Cloud projects, and Azure subscriptions)
- Documents and folders owned by the
- After the transfer, the
fromUserloses ownership of the objects described above. An email is also sent to both thefromUserand thetoUserto notify them of the transfer.
Note: Use of this endpoint can only be authorized by administrators on accounts with Enterprise licenses.Note: This endpoint has a per account rate limit of 30 requests per 5 seconds.
This endpoint does not delete or delicense thefromUser.
Valid Authentication Methods
OAuth 2.0 Account Token Scopes:
- account.user.transfercontent
204No Content when ownership is successfully transferred.
400Bad Request when the fromUser and toUser are the same.
403Forbidden when the users do not exist or are not on the authenticated account.
429Too Many Requests if the account makes more than 30 requests in 5 seconds.